Bug Hunting Session
Bug 118726 - File explorer integrated directly into the libreoffice writer
Summary: File explorer integrated directly into the libreoffice writer
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-12 13:40 UTC by Nico
Modified: 2019-09-30 14:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with an example (96.42 KB, image/png)
2018-07-12 13:40 UTC, Nico
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nico 2018-07-12 13:40:01 UTC
Created attachment 143518 [details]
Screenshot with an example

Dear LibreOffice Writer Team,

I have an idea for an (in my opinion) really useful feature. 

The idea is to integrate the file explorer directly into the libre office writer (maybe optional). 

So, when using libre office writer in full screen mode I have my writing section central, and for example on the left side, I have my file explorer so that I could quickly navigate through the folders and open a text I want to work on, or create a new folder and document. The idea is, that I don´t need to open an extra window so there is less distraction while writing. I could easily open libreoffice in full screen mode and hide all other applications.

Greetings from Germany

Nico
Comment 1 Xisco Faulí 2018-07-13 10:25:28 UTC
Hello Nico,
Thanks for reporting the issue.
You can open the explorer in full-mode using the shortcut Ctrl + O.
Closing as RESOLVED WONTFIX
Comment 2 Nico 2018-07-13 10:55:13 UTC
Yes that´s right. But that way is inconvenient and distracting. The idea is to embed the explorer-window into the writing area (optional). For example, like in ms onenote. On the left you can easily navigate through your notes tree and on the right, you can directly work on your selected note. It´s more comfortable if I don´t need to open an extra explorer window every time I want to choose another document. The workflow especially for writers is much better this way. I also saw this implementation in the mac app iaWriter.

I think this would be a great feature that sets LO-writer apart from Word and other.
Comment 3 Jean-Baptiste Faure 2018-07-19 17:15:55 UTC
I see some contradiction in the enhancement request: full screen mode is designed to avoid distraction by menus and toolbars and you want add a panel. Strange idea.
If I wanted to have on the same screen a room to write and a file explorer, I would use the functionality of the window manager of the OS. For example the file manager opened on the left side with the convenient width and Writer on the rest of the screen. Doing so I would have more possibilities because I can set the file explorer in the mode I want: icons, list, tree, etc.

Another possibility could be to add the list of the documents in the current folder as a new category in the sidebar.

Best regards. JBF
Comment 4 Heiko Tietze 2018-07-23 14:25:44 UTC
Additionally to JBF's comment, the use case of Writer is to edit a document and not to manage files. After closing all text documents you go back to the start center with recent files (the last 20 files are shown in a special menu too).

In the end you will use the sidebar only once in a while and close it again and there is not much advantage over the inbuild file dialog. But it could be a nice project for a fancy extension. Shouldn't be too difficult...
Comment 5 Pokemon 2019-04-10 11:27:04 UTC Comment hidden (spam)
Comment 6 dailyworldpost 2019-08-07 08:12:17 UTC Comment hidden (spam)
Comment 7 mygeekday 2019-09-25 12:28:47 UTC Comment hidden (spam)
Comment 8 Johns Petrik 2019-09-30 14:14:52 UTC Comment hidden (spam)